%global momorel 2
%global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary: A library for audio labelling
Name: aubio
Version: 0.3.2
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://aubio.org/
Group: System Environment/Libraries
Source0: http://aubio.org/pub/%{name}-%{version}.tar.gz 
NoSource: 0
Patch0: %{name}-%{version}-multilib.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: alsa-utils
Requires: pd
BuildRequires: alsa-lib-devel
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: fftw3-devel
BuildRequires: jack-devel
BuildRequires: lash-devel
BuildRequires: libsamplerate-devel
BuildRequires: libsndfile-devel
BuildRequires: libtool
BuildRequires: pd-devel
BuildRequires: pkgconfig
BuildRequires: python-devel
BuildRequires: swig

%description
aubio is a library for audio labelling. Its features include segmenting
a sound file before each of its attacks, performing pitch detection,
tapping the beat and producing midi streams from live audio.
The name aubio comes from 'audio' with a typo: several transcription errors
are likely to be found in the results too.
The aim of this project is to provide these automatic labelling features to
other audio softwares. Functions can be used offline in sound editors
and software samplers, or online in audio effects and virtual instruments.

%package devel
Summary: Header files and static libraries from aubio
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Libraries and includes files for developing programs based on aubio.

%prep
%setup -q

%patch0 -p0 -b .fix-build

autoreconf -fi

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall pddir=%{buildroot}%{_libdir}/pd

# install man files
mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 doc/aubio*.1 %{buildroot}%{_mandir}/man1/

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README THANKS TODO
%{_bindir}/aubio*
%{_libdir}/pd/doc/5.reference/aubio*~-help.pd
%{_libdir}/pd/doc/aubio
%{_libdir}/pd/extra/aubio.pd_linux
%{python_sitelib}/aubio
%{_libdir}/libaubio*.so.*
%{_mandir}/man1/aubio*.1*
%{_datadir}/sounds/aubio

%files devel
%defattr(-,root,root)
%{_includedir}/aubio
%{_libdir}/pkgconfig/aubio.pc
%{_libdir}/libaubio*.a
%{_libdir}/libaubio*.so

%changelog
* Sun Jul 13 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2-2m)
- fix build on x86_64

* Sun Jul 13 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2-1m)
- initial package for ardour-2.5
- import multilib.patch from gentoo
 +- 11 Feb 2008; Olivier Crete <tester@gentoo.org>
 +- +files/aubio-0.3.2-multilib.patch, +aubio-0.3.2-r1.ebuild:
 +- Adding patch to make it install multilib-friendly
